.header {
  padding-top: 20px;
  z-index: 10;
  position: relative;
}

.header__logos {
  flex-shrink: 0;
  display: flex;
  gap: 35px;
}

.header__logos .logo a {
  max-width: 136px;
  max-height: 80px;
  display: block;
  transition: opacity 0.3s ease-in-out;
}

.header__logos .logo a:hover {
  opacity: 0.7;
}

.header__logos .logo a img {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 100%;
}

.header__row {
  display: flex;
  justify-content: space-between;
}

.header__holder {
  color: #ffffff;
  display: flex;
  align-items: center;
  position: relative;
  padding-left: 60px;
  padding-bottom: 20px;
}

.header__holder::before {
  content: "";
  width: 100vw;
  height: calc(100% + 20px);
  background-color: #002f6a;
  border-radius: 0px 0px 0px 40px;
  position: absolute;
  top: -20px;
  left: 0;
  z-index: -1;
  transition: background-color 0.3s ease-in-out;
}

.header__holder.search-active .header__search {
  opacity: 1;
  pointer-events: all;
}

.header__link .button {
  padding: 8px 20px;
}

.header__nav {
  margin-right: 65px;
}

.header__nav > ul {
  display: flex;
  align-items: center;
  gap: 35px;
}

.header__nav > ul > li:hover .header-dropdown {
  opacity: 1;
  pointer-events: all;
}

.header__nav > ul > li:hover > a {
  color: #009aa9;
}

.header__nav > ul > li > a {
  font-weight: 600;
  transition: color 0.3s ease-in-out;
}

.header__actions {
  display: flex;
  align-items: center;
  gap: 25px;
}

.header__search-btn {
  width: 20px;
  height: 20px;
  position: relative;
}

.header__search-btn .open-search {
  position: relative;
  outline: none !important;
  border: none;
  cursor: pointer;
  text-decoration: none !important;
  background: none;
  -webkit-appearance: none;
  -webkit-transform: translateZ(0px);
  -webkit-font-smoothing: antialiased;
  backface-visibility: hidden;
  padding: 0;
  width: 20px;
  height: 20px;
  transition: opacity 0.3s ease-in-out;
}

.header__search-btn .open-search:hover {
  opacity: 0.7;
}

.header__search-btn .open-search svg {
  width: 100%;
  height: 100%;
  fill: #009aa9;
}

.header__search-btn .header__mobile-close {
  left: -29px;
}

.header__menu {
  width: 25px;
  height: 20px;
  position: relative;
}

.header__menu.active .header__mobile-close {
  opacity: 1;
}

.header__menu .menu-opener {
  position: relative;
  outline: none !important;
  border: none;
  cursor: pointer;
  text-decoration: none !important;
  background: none;
  -webkit-appearance: none;
  -webkit-transform: translateZ(0px);
  -webkit-font-smoothing: antialiased;
  backface-visibility: hidden;
  padding: 0;
  width: 100%;
  height: 100%;
}

.header__menu .menu-opener span {
  display: block;
  width: 100%;
  height: 2px;
  background-color: #009aa9;
  border-radius: 2px;
}

.header__menu .menu-opener span:not(:last-child) {
  margin-bottom: 7px;
}

.header__menu .menu-opener span:nth-child(2) {
  width: 60%;
  margin-left: auto;
}

.header__search {
  width: 100%;
  height: 100%;
  display: flex;
  gap: 30px;
  opacity: 0;
  pointer-events: none;
}

.header__search form {
  flex-grow: 1;
  display: flex;
  align-items: center;
  position: relative;
}

.header__search form input {
  padding-right: 40px;
}

.header__search form button[type=submit] {
  position: relative;
  outline: none !important;
  border: none;
  cursor: pointer;
  text-decoration: none !important;
  background: none;
  -webkit-appearance: none;
  -webkit-transform: translateZ(0px);
  -webkit-font-smoothing: antialiased;
  backface-visibility: hidden;
  padding: 0;
  position: absolute;
  top: 46%;
  transform: translateY(-50%);
  right: 15px;
  width: 20px;
  height: 20px;
}

.header__search form button[type=submit] img {
  width: 100%;
  height: 100%;
}

.header__search-close {
  width: 20px;
  height: 20px;
}

.header__search-close img {
  width: 100%;
  height: 100%;
}

.header__mobile-close {
  position: relative;
  outline: none !important;
  border: none;
  cursor: pointer;
  text-decoration: none !important;
  background: none;
  -webkit-appearance: none;
  -webkit-transform: translateZ(0px);
  -webkit-font-smoothing: antialiased;
  backface-visibility: hidden;
  padding: 0;
  position: absolute;
  top: -10px;
  left: -20px;
  width: 75px;
  height: 85px;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.header__mobile-close .background {
  width: 100%;
  height: 100%;
}

.header__mobile-close .close-icon {
  position: absolute;
  width: 20px;
  height: 20px;
  top: 15px;
  left: 50%;
  transform: translateX(-50%);
}

.lang-select {
  position: relative;
}

.lang-select.active .header__mobile-close {
  opacity: 1;
}

.lang-select.active .lang-select__list {
  opacity: 1;
  pointer-events: all;
}

.lang-select > a {
  position: relative;
  display: flex;
  align-items: center;
  gap: 7px;
  color: #009aa9;
}

.lang-select > a svg {
  stroke: #009aa9;
  fill: none;
  transition: transform 0.3s ease-in-out;
}

.lang-select__list {
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.lang-select__list ul li a {
  transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
  display: block;
  font-size: 14px;
  font-weight: 600;
}

.header-dropdown {
  position: absolute;
  top: 100%;
  left: 0;
  height: auto;
  width: 100vw;
  padding: 50px 55px;
  background-color: #f5f9fd;
  border-radius: 0px 0px 0px 30px;
  box-shadow: 0px 2px 30px 0px rgba(0, 57, 117, 0.15);
  z-index: 5;
  color: #231f20;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease-in-out;
}

.header-dropdown::before {
  content: "";
  width: 40px;
  height: 40px;
  background-color: #f5f9fd;
  bottom: 100%;
  left: 0;
  position: absolute;
}

.header-dropdown::after {
  content: "";
  width: 41px;
  height: 41px;
  background-color: #002f6a;
  bottom: 100%;
  left: 0;
  position: absolute;
  border-bottom-left-radius: 40px;
}

.header-dropdown__holder {
  max-width: 930px;
  display: grid;
  gap: 60px;
  grid-template-columns: 100px repeat(auto-fill, 245px);
}

.header-dropdown__title {
  max-width: 130px;
}

.header-dropdown__list > ul {
  width: 100%;
  display: grid;
  row-gap: 25px;
}

.header-dropdown__list > ul a {
  transition: color 0.3s ease-in-out;
}

.header-dropdown__list > ul a:hover {
  color: #009aa9;
}

.header-dropdown__list > ul > li > a {
  font-size: 20px;
  font-weight: 600;
  line-height: 22px;
  margin-bottom: 15px;
  display: block;
}

.header-dropdown__list > ul > li > ul {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.menu {
  position: fixed;
  width: 100%;
  height: calc(100vh - 86px);
  top: 86px;
  left: 0;
  background: #f5f9fd;
  color: #231f20;
  padding: 30px 0;
  overflow: auto;
  z-index: 5;
  pointer-events: none;
  transform: translateX(100%);
  transition: transform 0.4s ease-in-out;
}

.menu.active {
  transform: translateX(0);
  pointer-events: all;
}

.menu__list h4 {
  margin-bottom: 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.menu__list h4 button {
  position: relative;
  outline: none !important;
  border: none;
  cursor: pointer;
  text-decoration: none !important;
  background: none;
  -webkit-appearance: none;
  -webkit-transform: translateZ(0px);
  -webkit-font-smoothing: antialiased;
  backface-visibility: hidden;
  padding: 0;
  width: 15px;
  height: 15px;
  transition: transform 0.3s ease-in-out;
  flex-shrink: 0;
  margin-left: 5px;
}

.menu__list h4 button img {
  width: 100%;
  height: 100%;
}

.menu__list h4.active button {
  transform: rotate(180deg);
}

.menu__list > ul > li:not(:first-child) h4 {
  padding-top: 25px;
}

.menu__list > ul > li > h4 {
  font-size: 20px;
  line-height: 22px;
  border-bottom: 1px solid rgba(0, 48, 104, 0.15);
  padding-bottom: 25px;
}

.menu__list > ul > li > ul {
  padding-left: 40px;
  padding-bottom: 15px;
  padding-top: 15px;
  display: none;
}

.menu__list > ul > li > ul > li:not(:last-child) {
  margin-bottom: 17px;
}

.menu__list > ul > li > ul > li > h4 {
  font-size: 16px;
  line-height: 18px;
}

.menu__list > ul > li > ul > li > ul {
  padding-left: 40px;
  padding-top: 15px;
  display: none;
}

.menu__list > ul > li > ul > li > ul > li:not(:last-child) {
  margin-bottom: 12px;
}

@media (min-width: 1200px) {
  .header__holder.search-active::before {
    background-color: #f5f9fd;
  }

  .header__holder.search-active > *:not(.header__search) {
    opacity: 0;
  }

  .header__holder.search-active .header__search {
    transition: opacity 0.2s ease-in-out;
    transition-delay: 0.2s;
  }

  .header__nav > ul .has-dropdown > a {
    position: relative;
  }

  .header__nav > ul .has-dropdown > a::before {
    content: "";
    width: calc(100% + 6px);
    height: 40px;
    top: 100%;
    position: absolute;
    left: -3px;
  }

  .header__menu {
    display: none;
  }

  .header__search {
    position: absolute;
    top: -10px;
    left: 0;
    background: #f5f9fd;
    align-items: center;
    padding-left: 60px;
    border-radius: 40px;
  }

  .header__mobile-close {
    display: none;
  }

  .lang-select:hover > a svg {
    transform: rotate(180deg);
  }

  .lang-select:hover .lang-select__list {
    opacity: 1;
    pointer-events: all;
  }

  .lang-select > a:before {
    content: "";
    width: 100%;
    top: 100%;
    position: absolute;
    left: 0;
    height: 11px;
  }

  .lang-select__list {
    position: absolute;
    top: 100%;
    left: -20px;
    margin-top: 8px;
    width: 125px;
    border-radius: 12px;
    background: #f5f9fd;
    color: #231f20;
    padding: 4px;
  }

  .lang-select__list ul li a {
    padding: 8px 15px;
    border-radius: 8px;
  }

  .lang-select__list ul li a:hover {
    background: #d8f9f9;
    color: #00aab5;
  }

  .menu {
    display: none;
  }
}

@media (max-width: 1799px) {
  .header__holder {
    padding-left: 40px;
  }

  .header__nav {
    margin-right: 30px;
  }

  .header__nav > ul {
    gap: 25px;
  }

  .header__actions {
    gap: 20px;
  }

  .header-dropdown__holder {
    max-width: 815px;
  }
}

@media (max-width: 1199px) {
  .header {
    padding-top: 15px;
  }

  .header__logos .logo:first-child a {
    max-width: 60px;
  }

  .header__logos .logo:last-child a {
    max-width: 96px;
  }

  .header__holder {
    padding-left: 40px;
  }

  .header__holder::before {
    border-radius: 0px 0px 0px 30px;
  }

  .header__holder.search-active .header__search-btn .header__mobile-close {
    opacity: 1;
  }

  .header__nav {
    display: none;
  }

  .header__search {
    position: fixed;
    width: 100vw;
    height: calc(100vh - 86px);
    top: 86px;
    left: 0;
    color: #231f20;
    overflow: auto;
    transition: opacity 0.3s ease-in-out;
    background: rgba(0, 47, 106, 0.4);
  }

  .header__search form {
    background-color: #f5f9fd;
    height: -moz-fit-content;
    height: fit-content;
    padding-bottom: 60px;
    padding-top: 50px;
    padding-left: 40px;
    padding-right: 40px;
  }

  .header__search form button[type=submit] {
    right: 40px;
  }

  .header__search-close {
    display: none;
  }

  .lang-select__list {
    position: fixed;
    width: 100%;
    height: calc(100vh - 86px);
    top: 86px;
    left: 0;
    background: #f5f9fd;
    color: #231f20;
    padding: 10px 40px;
    overflow: auto;
  }

  .lang-select__list ul li {
    border-bottom: 1px solid rgba(0, 48, 104, 0.15);
  }

  .lang-select__list ul li a {
    color: #231f20;
    font-size: 20px;
    font-weight: 600;
    padding: 20px 0;
  }
}

@media (max-width: 767px) {
  .header__logos {
    gap: 15px;
  }

  .header__logos .logo:first-child a {
    max-width: 55px;
  }

  .header__logos .logo:last-child a {
    max-width: 88px;
  }

  .header__holder {
    padding-left: 30px;
  }

  .header__holder::before {
    border-radius: 0px 0px 0px 20px;
  }

  .header__link {
    display: none;
  }

  .header__search-btn .open-search svg {
    fill: #ffffff;
  }

  .header__menu .menu-opener span {
    background-color: #ffffff;
  }

  .header__menu .header__mobile-close {
    left: -22px;
  }

  .header__search {
    top: 80px;
    height: calc(100vh - 80px);
  }

  .header__search form {
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 40px;
    padding-top: 30px;
  }

  .lang-select > a {
    color: #ffffff;
  }

  .lang-select > a svg {
    stroke: #ffffff;
  }

  .lang-select__list {
    padding: 8px 20px;
    padding-bottom: 40px;
    top: 80px;
    height: calc(100vh - 80px);
  }
}

@media (max-width: 374px) {
  .header__logos .logo:first-child a {
    max-width: 45px;
  }

  .header__logos .logo:last-child a {
    max-width: 75px;
  }

  .header__holder {
    padding-left: 15px;
  }

  .header__actions {
    gap: 20px;
  }
}